Terminations

Get Termination Document Upload Url

Mints a presigned S3 upload URL for a termination supporting document keyed to org and employee.

POSThttps://api.toku.com/hris/get-termination-document-upload-url

Not available to API keys yet. It will need people:write.

curl --request POST \
  --url 'https://api.toku.com/hris/get-termination-document-upload-url' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgID": "string",
  "fileName": "string"
}'
200 response
{
  "url": "string",
  "fileKey": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIDstringrequired

Allowed: at least 1 characters

fileNamestringrequired

Allowed: at least 1 characters

Response

200Successful response
urlstringrequired
fileKeystringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits